<mat-form-field class="select">
  <mat-select
    placeholder="{{ placeholder }}"
    [(ngModel)]="selectionModel"
    (ngModelChange)="onSelectionChange()"
    multiple="{{ multiple }}"
  >
    <mat-option *ngFor="let item of listFiltered" [value]="item.id">{{item[this.titleProperty]}}</mat-option>
  </mat-select>
</mat-form-field>
<mat-form-field class="search">
  <mat-label>{{ label }}</mat-label>
  <input matInput [(ngModel)]="filterModel" (ngModelChange)="filterList(); onSelectionChange();">
  <mat-icon matSuffix>search</mat-icon>
</mat-form-field>
